Bug 1297916 - (CVE-2016-1906) CVE-2016-1906 Kubernetes api server: build config to a strategy that isn't allowed by policy
CVE-2016-1906 Kubernetes api server: build config to a strategy that isn't al...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160106,repor...
: Security
: 1298128 (view as bug list)
Depends On: 1297917 1297918
Blocks: 1297922 1298133
  Show dependency treegraph
 
Reported: 2016-01-12 13:43 EST by Kurt Seifried
Modified: 2016-11-08 11:08 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An authorization flaw was discovered in Kubernetes; the API server did not properly check user permissions when handling certain build-configuration strategies. A remote attacker could create build configurations with strategies that violate policy. Although the attacker could not launch the build themselves (launch fails when the policy is violated), if the build configuration files were later launched by other privileged services (such as automated triggers), user privileges could be bypassed allowing attacker escalation.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 00:37:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2016-01-12 13:43:02 EST
Kubernetes api server: build config to a strategy that isn't allowed by policy

External reference:
https://github.com/openshift/origin/issues/6556
https://github.com/openshift/origin/pull/6576
Comment 2 Kurt Seifried 2016-01-13 13:39:14 EST
*** Bug 1298128 has been marked as a duplicate of this bug. ***
Comment 3 errata-xmlrpc 2016-01-26 14:21:01 EST
This issue has been addressed in the following products:

  RHEL 7 Version of OpenShift Enterprise 3.1

Via RHSA-2016:0070 https://access.redhat.com/errata/RHSA-2016:0070
Comment 4 errata-xmlrpc 2016-03-03 11:23:01 EST
This issue has been addressed in the following products:

  RHEL 7 Version of OpenShift Enterprise 3.0

Via RHSA-2016:0351 https://access.redhat.com/errata/RHSA-2016:0351

Note You need to log in before you can comment on or make changes to this bug.